import ketai.camera.*;

KetaiCamera cam;

int COUNTDOWN = 10;
int[] pix;

int CAMBREITE = 320; 
int CAMHOEHE  = 240; 

void setup() 
{
  orientation(LANDSCAPE);
  colorMode(RGB, 255);
  cam = new KetaiCamera(this, CAMBREITE, CAMHOEHE, 10);
  frameRate(10);
}

void draw() 
{
    if(COUNTDOWN>0)
    {
        COUNTDOWN--;
    }
    else if(COUNTDOWN==0)
    {
        cam.start();
        COUNTDOWN--;
    }
    else
    {
        image(cam,0,0);
        cam.updatePixels();
        pix = cam.pixels;
        int ii=0;
        noStroke();
        for(int i=0;i<CAMHOEHE;i++)
        {
              for(int k=0;k<CAMBREITE;k++)
              {
                  int rot   = (int)red(pix[ii]);
                  int gruen = (int)green(pix[ii]);
                  int blau  = (int)blue(pix[ii]);
                  
                  fill(rot,gruen,blau);
                  
                  rect(k*4+320,i*4,4,4);
                  
                  ii++;
              }
        }
    }    
}

void onCameraPreviewEvent()
{
    cam.read();
}
